﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.IO;
using System.Data.Sql;
using System.Collections;
using System.Xml.Schema;

public partial class REG_teacher : System.Web.UI.Page
{
    public string SearchStr
    {
        get
        {
            object o = ViewState["SearchStr"];
            return o == null ? string.Empty : o.ToString();
        }
        set { ViewState["SearchStr"] = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            // BindGroup();
            BindKm();
            this.SearchStr = "select * from teacher WHERE USE_YES=1 order by tname";
            BindTeacher();
        }
    }


    private void BindKm()
    {
        string sql = "select * from coll ";   //INSERT INTO PAPERTYPE(LEIXIN) select distinct type from question
        DataTable dt = SqlServerHelper.GetDataTable(sql);
        DropDownListColl.DataValueField = "collid";
        DropDownListColl.DataTextField = "coll";
        DropDownListColl.DataSource = dt;// oraCle.GetDs(sql).Tables[0];
        DropDownListColl.DataBind();

        string sql22 = "select * from department ";   //INSERT INTO PAPERTYPE(LEIXIN) select distinct type from question
        DataTable dt22 = SqlServerHelper.GetDataTable(sql22);
        DropDownListDEPT.DataValueField = "deptid";
        DropDownListDEPT.DataTextField = "dept";
        DropDownListDEPT.DataSource = dt22;// oraCle.GetDs(sql).Tables[0];
        DropDownListDEPT.DataBind();

        //string sql5 = "select * from SPTES_DICTIONARYITEM where TYPECODE='ZC'";
        //DataTable dt5 = SqlServerHelper.GetDataTable(sql5);
        //DropDownListZC.DataValueField = "itemcode";
        //DropDownListZC.DataTextField = "ITEMNAME";
        //DropDownListZC.DataSource = dt5;// oraCle.GetDs(sql).Tables[0];
        //DropDownListZC.DataBind();
        //DropDownListZC.Items.Insert(0, "-请选择-");

        // this.DropDownListGroup.SelectedValue = 
    }
    private void BindTeacher()
    {

        GridView1.DataSource = SqlServerHelper.GetDataTable(this.SearchStr);
        GridView1.DataBind();
    }
    protected void GridView1_SelectedIndexChanging(object sender, GridViewSelectEventArgs e)
    {

        HiddenField HidId = (HiddenField)this.GridView1.Rows[e.NewSelectedIndex].FindControl("HidId");

        DropDownList userDrop = (DropDownList)this.GridView1.Rows[e.NewSelectedIndex].FindControl("DropDownListDept");

        DropDownList ztDrop = (DropDownList)this.GridView1.Rows[e.NewSelectedIndex].FindControl("DropDownList1");
        TextBox mzTexbox = (TextBox)this.GridView1.Rows[e.NewSelectedIndex].FindControl("mTname");

        TextBox mzTel = (TextBox)this.GridView1.Rows[e.NewSelectedIndex].FindControl("mT222");

        try
        {


            string it = HidId.Value;


            string ZT = ztDrop.SelectedValue;
            string grp = userDrop.SelectedValue;
            string mz = mzTexbox.Text;

            string tel = mzTel.Text;

            string Uswl = "update Teacher set Tname='" + mz + "',deptid = '" + grp + "',ttel='" + tel + "', USE_YES=" + ZT + "  where TID='" + it + "' ";
            SqlServerHelper.ExecuteCmd(Uswl);

            SqlServerHelper.Message(this, "操作成功!");


            BindTeacher();
        }
        catch
        {
            SqlServerHelper.Message(this, "操作失败!");

        }

    }

    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            HyperLink hlBillNo = (HyperLink)e.Row.FindControl("hlBillNo");
            //   HyperLink btnEdit1 = (HyperLink)e.Row.FindControl("btnEdit1");
            //ImageButton btnEdit = (ImageButton)e.Row.FindControl("btnEdit");
            ImageButton btnCheck = (ImageButton)e.Row.FindControl("btnCheck");
            DataRowView dv = (DataRowView)e.Row.DataItem;


            HiddenField hd = (HiddenField)e.Row.FindControl("HidId");
            string No = hd.Value.ToString();


            //     hlBillNo.NavigateUrl = string.Format("JHinplanNew.aspx?inCode={0}", "960113640");

            //  btnEdit1.ImageUrl = "~/Images/compare.gif";


            //btnCheck.ImageUrl = "~/Images/good.gif";





        }
    }

    public DataSet ddlbindDEPT()//得到表中所有系
    {
        DataSet ds = SqlServerHelper.GetDataSet("select * from department ");
        return ds;
    }

    protected void ButtonSave_Click(object sender, EventArgs e)
    {
        string gh = TextBoxGH.Text;
        string tname = TextBoxName.Text;
        string sex = DropDownListSex.SelectedValue;
        // string grp = DropDownListGroup.SelectedValue;
        string tel = TextBoxtEL.Text;
        string fx = TextBox1.Text;

        string Pwd = TextBoxPwd.Text;
        string DEPT = DropDownListDEPT.SelectedValue;
        string EMAIL = TextBoxEmail.Text;
        string COLL = DropDownListColl.SelectedItem.Text;
        string ZC = DropDownListZC.SelectedValue;
        string ROOM = TextBoxRoom.Text;
        string bir = WebCalendarF2.Value;


        string sql = "insert into teacher(tid,tname,tsex,collid,ttel,temail,deptid,thonor,taddress,PWD,tdire,BIR) ";
        sql = sql + "values('" + gh + "','" + tname + "','" + sex + "','" + COLL + "','" + tel + "','" + EMAIL + "','" + DEPT + "','" + ZC + "','" + ROOM + "','" + Pwd + "','" + fx + "','" + bir + "')";
        int cfs = 0; //控制重复工号的人
        cfs = int.Parse(SqlServerHelper.RunSqlReturn("select count(*) from teacher where tid='" + gh + "'"));
        if (cfs > 0)
        {
            SqlServerHelper.Message(this, "工号重复，请认真审核!");
            return;
        }
        cfs = int.Parse(SqlServerHelper.RunSqlReturn("select count(*) from teacher where tname='" + tname + "'"));
        if (cfs > 0)
        {
            SqlServerHelper.Message(this, "名字重复，请认真审核!");

        }

        if (!ZC.Equals("-请选择-"))
        {
            //sql = "insert into teacher(GH,tname,sex,SUR_GROUP,PWD,subject,EMAIL,KM) values('" + gh + "','" + tname + "','" + sex + "'," + grp + ",'" + Pwd + "','" + km + "','" + EMAIL + "','" + kms + "')";

        }
        else
        {
            SqlServerHelper.Message(this, "请选择科目!");
            return;
        }

        try
        {
            SqlServerHelper.ExecuteCmd(sql);
        }
        catch
        {
            SqlServerHelper.Message(this, "操作失败!");
        }
        finally
        {

            SqlServerHelper.Message(this, "操作成功!");
            this.SearchStr = "select * from teacher  ";

            BindTeacher();
        }

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string sql = "select * from teacher  where 1=1";
        string na = TextBoxName.Text;
        sql = sql + "  and tname like '%" + na + "%'";
        //string banzren = DropDownListGroup.SelectedValue;
        //sql = sql + "  and SUR_GROUP=" + banzren + " ";
        this.SearchStr = sql + " order by tname";
        BindTeacher();
    }

    protected void DropDownListDEPT_SelectedIndexChanged(object sender, EventArgs e)
    {
        TextBox1.Text = DropDownListDEPT.SelectedItem.Text;
    }
}